GNU bug report logs - #41967
[PATCH] gnu: Add tesseract.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Pierre Neidhardt <mail@HIDDEN>; Keywords: patch; Done: Pierre Neidhardt <mail@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 41967 <at> debbugs.gnu.org and Pierre Neidhardt <mail@HIDDEN> Request was from Pierre Neidhardt <mail@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 41967 <at> debbugs.gnu.org:


Received: (at 41967) by debbugs.gnu.org; 30 Jun 2020 14:38:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 30 10:38:35 2020
Received: from localhost ([127.0.0.1]:51391 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jqHP9-0003HV-L5
	for submit <at> debbugs.gnu.org; Tue, 30 Jun 2020 10:38:35 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:51095)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jqHP7-0003Gs-5G
 for 41967 <at> debbugs.gnu.org; Tue, 30 Jun 2020 10:38:34 -0400
X-Originating-IP: 92.169.129.147
Received: from bababa (lfbn-idf2-1-1315-147.w92-169.abo.wanadoo.fr
 [92.169.129.147]) (Authenticated sender: mail@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id A713560010;
 Tue, 30 Jun 2020 14:38:25 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>
Subject: Re: [bug#41967] [PATCH] gnu: Add tesseract.
In-Reply-To: <87k0zpk7c5.fsf@HIDDEN>
References: <c2f72e233483a0c1a6d81d28fcdb7be393c991de.camel@HIDDEN>
 <87v9jdvvwh.fsf@HIDDEN>
 <a99941c7248c0958ce4e4c6268d7e0978085eefd.camel@HIDDEN>
 <87ftafez3k.fsf@HIDDEN> <20200629061213.GB14409@E5400>
 <1593452486.1145.0@HIDDEN> <87v9j9d93f.fsf@HIDDEN>
 <87k0zpk7c5.fsf@HIDDEN>
Date: Tue, 30 Jun 2020 16:38:24 +0200
Message-ID: <87mu4k39gf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Pushed tesseract-engine in
 f67ae666896a51fc6edd1b537e43ed44685cb2a3.
 Thank you all for your review! Cheers! -- Pierre Neidhardt
 https://ambrevar.xyz/
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.195 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.195 listed in wl.mailspike.net]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 41967
Cc: Kei <kkebreau@HIDDEN>, 41967 <at> debbugs.gnu.org,
 Msavoritias <marinus.savoritias@HIDDEN>,
 Efraim Flashner <efraim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Pushed tesseract-engine in f67ae666896a51fc6edd1b537e43ed44685cb2a3.
    Thank you all for your review! Cheers! -- Pierre Neidhardt https://ambrevar.xyz/
    
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.195 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.195 listed in list.dnswl.org]
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Pushed tesseract-engine in f67ae666896a51fc6edd1b537e43ed44685cb2a3.

Thank you all for your review!
Cheers!

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl77TmAACgkQm9z0l6S7
zH+8HAgApCN/eibmmIMPYbhDnhO4jdN3BKr9rNXB2/b7WHZmHQgOHLu6e3QTdsDp
THc1Nd71vrCqpqU84+F/IFdJJIt0w4yRHhoJs/+HW+i7A3nBagzUbB5luhs/D7rc
Rrj4OdWinX10aLYWBeg29QhR6HKbjJqHCqIKl+++nWbMBFuiHcMfU+aX+T/i8Aio
hlD3wkxzqVe8LcQtdt9fBmwW4ncx2MxwURIR0nh7bQg14CFYjCCk5FSpDDWwqen5
/Z7IWPn77JLztEn0YWhFUG69/Mua8r5lyt4ANQ7atqv6iJDhQUBIyVY1XeadHScz
QzaI8f1s1pkYKPYbU7wMLL94xvBkLw==
=sXBU
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#41967; Package guix-patches. Full text available.

Message received at 41967 <at> debbugs.gnu.org:


Received: (at 41967) by debbugs.gnu.org; 29 Jun 2020 19:20:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 29 15:20:09 2020
Received: from localhost ([127.0.0.1]:49500 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpzK5-00064V-81
	for submit <at> debbugs.gnu.org; Mon, 29 Jun 2020 15:20:09 -0400
Received: from relay12.mail.gandi.net ([217.70.178.232]:41339)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jpzK1-00063o-Uz
 for 41967 <at> debbugs.gnu.org; Mon, 29 Jun 2020 15:20:08 -0400
Received: from localhost (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay12.mail.gandi.net (Postfix) with ESMTPSA id 5BD86200004;
 Mon, 29 Jun 2020 19:19:57 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#41967] [PATCH] gnu: Add tesseract.
References: <c2f72e233483a0c1a6d81d28fcdb7be393c991de.camel@HIDDEN>
 <87v9jdvvwh.fsf@HIDDEN>
 <a99941c7248c0958ce4e4c6268d7e0978085eefd.camel@HIDDEN>
 <87ftafez3k.fsf@HIDDEN> <20200629061213.GB14409@E5400>
 <1593452486.1145.0@HIDDEN> <87v9j9d93f.fsf@HIDDEN>
Date: Mon, 29 Jun 2020 21:19:54 +0200
In-Reply-To: <87v9j9d93f.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Mon, 29 Jun 2020 20:23:48 +0200")
Message-ID: <87k0zpk7c5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello,
 Pierre Neidhardt <mail@HIDDEN> writes: > Alternatively, 
 we can distribute the engine without the media files,
 > call it `tesseract-engine'
 and move it to game-development.scm. > Thoughts? 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.178.232 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [217.70.178.232 listed in wl.mailspike.net]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 41967
Cc: Kei <kkebreau@HIDDEN>, 41967 <at> debbugs.gnu.org,
 Msavoritias <marinus.savoritias@HIDDEN>,
 Efraim Flashner <efraim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Hello,

Pierre Neidhardt <mail@HIDDEN> writes:

> Alternatively, we can distribute the engine without the media files,
> call it `tesseract-engine' and move it to game-development.scm.
> Thoughts?

FWIW, I think this is a fine idea.

Regards,
-- 
Nicolas Goaziou




Information forwarded to guix-patches@HIDDEN:
bug#41967; Package guix-patches. Full text available.

Message received at 41967 <at> debbugs.gnu.org:


Received: (at 41967) by debbugs.gnu.org; 29 Jun 2020 18:23:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 29 14:23:58 2020
Received: from localhost ([127.0.0.1]:49469 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpyRi-0004br-8M
	for submit <at> debbugs.gnu.org; Mon, 29 Jun 2020 14:23:58 -0400
Received: from relay12.mail.gandi.net ([217.70.178.232]:60611)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jpyRg-0004bZ-Nv
 for 41967 <at> debbugs.gnu.org; Mon, 29 Jun 2020 14:23:57 -0400
Received: from bababa (lfbn-idf2-1-1315-147.w92-169.abo.wanadoo.fr
 [92.169.129.147]) (Authenticated sender: mail@HIDDEN)
 by relay12.mail.gandi.net (Postfix) with ESMTPSA id 5D9C9200004;
 Mon, 29 Jun 2020 18:23:48 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Msavoritias <marinus.savoritias@HIDDEN>,
 Efraim Flashner <efraim@HIDDEN>
Subject: Re: [bug#41967] [PATCH] gnu: Add tesseract.
In-Reply-To: <1593452486.1145.0@HIDDEN>
References: <c2f72e233483a0c1a6d81d28fcdb7be393c991de.camel@HIDDEN>
 <87v9jdvvwh.fsf@HIDDEN>
 <a99941c7248c0958ce4e4c6268d7e0978085eefd.camel@HIDDEN>
 <87ftafez3k.fsf@HIDDEN> <20200629061213.GB14409@E5400>
 <1593452486.1145.0@HIDDEN>
Date: Mon, 29 Jun 2020 20:23:48 +0200
Message-ID: <87v9j9d93f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 41967
Cc: Kei <kkebreau@HIDDEN>, 41967 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain

Thank you.

Alternatively, we can distribute the engine without the media files,
call it `tesseract-engine' and move it to game-development.scm.
Thoughts?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl76MbQACgkQm9z0l6S7
zH9zaQf7Bw75lHybYZxFaSvN5X6WPxN+BJ5QzylLI+TuEUQSJRSfbfN9ADxsOX9N
XTRzdaTIHZl5VE2IiCnpvIYz5H3V2czo73ZJyL6s8FB0EoJhhWmUsE5P/Pw609rg
g7EDDDnfmUCMHYdJE6Tg1Fk8f7KMVm5074axL+sCuwnUadyqsHWhseXQklA3IfLD
I9bkUjd4ZeMVOzRQyP9zrfbqe6kK7+mVbFjhlXcxAp1WWNRy//sh4fHV1akxV0dE
qc9KQ9nfQokZp8WgVTKZ+m6/xzE6CzKWSsF5hX8dkx4XtInn7fHRlFUI8yiK0U65
ErdtL0HPyd9VFOOnm2ld+5EQ4pT2yQ==
=0pbr
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#41967; Package guix-patches. Full text available.

Message received at 41967 <at> debbugs.gnu.org:


Received: (at 41967) by debbugs.gnu.org; 29 Jun 2020 18:23:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 29 14:23:39 2020
Received: from localhost ([127.0.0.1]:49464 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpyRO-0004bB-Uz
	for submit <at> debbugs.gnu.org; Mon, 29 Jun 2020 14:23:39 -0400
Received: from mail-qk1-f170.google.com ([209.85.222.170]:32813)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1jpyRL-0004av-Qh
 for 41967 <at> debbugs.gnu.org; Mon, 29 Jun 2020 14:23:37 -0400
Received: by mail-qk1-f170.google.com with SMTP id j80so16179697qke.0
 for <41967 <at> debbugs.gnu.org>; Mon, 29 Jun 2020 11:23:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=2Thtc3Mk5ui0BC36nquQfOym6cIolrN40jIHIl0Emxo=;
 b=MHWWBZZIbrt7Q+1KdCAHxevnLaDHcoM2AHXMc4RfCaJQLhG6GYD4Rc+Wu5TuF8RTjt
 q/OiKCMXWgN07ftCLhiJ4koCGyy4GQgQgZvhFpN9iP6zg+KHpv7uMiuSI/mqpgoSeK/0
 iRNA2wEJeInM0tQOf4RYWSKkSIQ0Gz1MBaZCwfx0MibigT0WXTxbXsXZpjiwJ2PJeHB9
 sy8+3ycVVm/nkBbaufj/rvhzcHmte8j5Qoi433g6XUPCS0ZOXLQp3bW7QKc3hzgw0xly
 I2xKPBYmXBOK2MCCays2XUhwl0pt2f5EVMArql7KFQL7LiN7+o9an9yq70ic9IJRNbkd
 DpEg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=2Thtc3Mk5ui0BC36nquQfOym6cIolrN40jIHIl0Emxo=;
 b=bs842uWq52apfhivLdp9WBGzwQhqmXOV12GK0AknuB4+l12HR+PxejldHcH+qXANUX
 NrxsyQ/EKWeUpWw6RZ4prgwLhSi+NbqOOTx5PScou2Y1NDClGDxqNGVVywSN29iDzsTV
 wTxoYBuRZvQObzNwOly9T0OOtk2IeJ/rYdDkXAJ8m68r4sC7+R1AwyjzeclOd1niXvTm
 ETtYhin8TiK1X8toCQlIaSgVUKO/VeIx/qab3QkJh0pSxrhr3qS9WH3Ncg73hODTH3mY
 ZC1Xxt02Q5b76Yse/SlijADJG2agtFJoZQdPPmh4VsbKHj0DI9KCfZJ3fdSB0Nc30Khy
 fhNQ==
X-Gm-Message-State: AOAM5305UUvvaf9546yfxG/z1T8Jqr3fV3WQInzfD66jZ0xNcqZbpNBX
 7Smac2AA1TbvgpDMMzWcyZYLCszZuGxKxlm+EJo=
X-Google-Smtp-Source: ABdhPJxu/smznOXOclcYkr+cR8PAUv74BvVjRneF/sb2VNfR0WEUgGpmyBzcMcU1aGbwZoaxVv5+h/y+oShVsaOWms4=
X-Received: by 2002:a05:620a:40d:: with SMTP id
 13mr3792106qkp.304.1593455010214; 
 Mon, 29 Jun 2020 11:23:30 -0700 (PDT)
MIME-Version: 1.0
References: <c2f72e233483a0c1a6d81d28fcdb7be393c991de.camel@HIDDEN>
 <87v9jdvvwh.fsf@HIDDEN>
 <a99941c7248c0958ce4e4c6268d7e0978085eefd.camel@HIDDEN>
 <87ftafez3k.fsf@HIDDEN> <20200629061213.GB14409@E5400>
In-Reply-To: <20200629061213.GB14409@E5400>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Mon, 29 Jun 2020 20:23:02 +0200
Message-ID: <CAJ3okZ1xgYz5Qyx8V5jy1rhLSMZL6wJFaWN3ud9QetR=KpMRYw@HIDDEN>
Subject: Re: [bug#41967] [PATCH] gnu: Add tesseract.
To: Efraim Flashner <efraim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41967
Cc: Kei <kkebreau@HIDDEN>, Pierre Neidhardt <mail@HIDDEN>,
 41967 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, 29 Jun 2020 at 08:13, Efraim Flashner <efraim@HIDDEN> wrote:

> > > * media/sound/game/soundsnap/info.txt: Non-commercial clause (
> > > https://www.soundsnap.com/licence)
> >
> > Are "non commercial" licenses still free licenses?
>
> I'm pretty sure no, even for non-code. But I'd love to hear from someone
> else who's more sure than I am.

"non-commercial" and "free license" are not related.

Well, it is hard to predict what the FSF would conclude for a such
license.  Because the terms are not really clear.  On one hand, you
can "transit the sounds as long as they are included with other
materials" and on the other hand you cannot "transmit the sounds 'as
they are' in any context".

b. To copy and transmit the sounds and available content in various
mediums or formats as long as the sounds and available content are
included in another work or with other materials;
i. Resell, rent, sublicense, transmit, and/or distribute or
re-distribute the sounds 'as they are' in any context,




Information forwarded to guix-patches@HIDDEN:
bug#41967; Package guix-patches. Full text available.

Message received at 41967 <at> debbugs.gnu.org:


Received: (at 41967) by debbugs.gnu.org; 29 Jun 2020 17:41:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 29 13:41:36 2020
Received: from localhost ([127.0.0.1]:49373 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpxmh-0003SL-Uu
	for submit <at> debbugs.gnu.org; Mon, 29 Jun 2020 13:41:36 -0400
Received: from knopi.disroot.org ([178.21.23.139]:46256)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marinus.savoritias@HIDDEN>) id 1jpxmd-0003S9-7C
 for 41967 <at> debbugs.gnu.org; Mon, 29 Jun 2020 13:41:34 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id BF86155267;
 Mon, 29 Jun 2020 19:41:29 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id sGJGjWjwCAAj; Mon, 29 Jun 2020 19:41:28 +0200 (CEST)
Date: Mon, 29 Jun 2020 19:41:26 +0200
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1593452488; bh=FXPmRgxs3DCo+5knpbBeaGeamqBzKgM0Y2p9bLn04T4=;
 h=Date:From:Subject:To:Cc:In-Reply-To:References;
 b=Hk7GAmUM8CrnY4XJnCKhYsmSE79lsi//uUlwoWrnhnasZufTBp/Nnh4CYChWyGqYd
 izlgRDHa1sPkXKp1duHtWSKAYLvl/MgJszJZoQ4B5DiHeDp3q+qL/0RFuxJg86o+bQ
 95G4/w9uCFTPkw2pFPV7cji95633aCpT/Zbw1a2b1f2UYERrjkoETFhQDyFYj4ql9n
 JKfHIDTOWUuSAyLAjg7tU9qCvVIfPMwzK1QOFLxTlJNLmI0zeyHrCLiE3gxV1Gj2RD
 rlqlKT2KQu/h4y45btfskxElpEXUhjmBvUVhwy3YfB/9iC+Op0OZ47lnfjhfd4N46A
 bwrsixM+vGhwg==
From: Msavoritias <marinus.savoritias@HIDDEN>
Subject: Re: [bug#41967] [PATCH] gnu: Add tesseract.
To: Efraim Flashner <efraim@HIDDEN>
Message-Id: <1593452486.1145.0@HIDDEN>
In-Reply-To: <20200629061213.GB14409@E5400>
References: <c2f72e233483a0c1a6d81d28fcdb7be393c991de.camel@HIDDEN>
 <87v9jdvvwh.fsf@HIDDEN>
 <a99941c7248c0958ce4e4c6268d7e0978085eefd.camel@HIDDEN>
 <87ftafez3k.fsf@HIDDEN> <20200629061213.GB14409@E5400>
Mime-Version: 1.0
Content-Type: multipart/alternative; boundary="=-/nJ5N6LYJIHpuMYHLWBO"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41967
Cc: Kei <kkebreau@HIDDEN>, Pierre Neidhardt <mail@HIDDEN>,
 41967 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-/nJ5N6LYJIHpuMYHLWBO
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi,

<https://www.gnu.org/philosophy/free-sw.html>

Here it says it has to be allowed for commercial use otherwise its not=20
Free Software.

Regards,
Marinus

On Mon, Jun 29, 2020 at 09:12, Efraim Flashner <efraim@HIDDEN>=20
wrote:
> On Sun, Jun 28, 2020 at 10:04:31PM +0200, Pierre Neidhardt wrote:
>>  Thanks for the investigation.
>>=20
>>  Kei <kkebreau@HIDDEN <mailto:kkebreau@HIDDEN>> writes:
>>=20
>>  > On Sat, 2020-06-27 at 08:57 +0200, Pierre Neidhardt wrote:
>>  > * media/model/mapmodel/dcp/blade_x/Readme.txt: "Cube-only, let me=20
>> know
>>  > otherwise" license
>>=20
>>  So, this means that it's non-free?
>>=20
>>  > * media/sound/game/uphys/info.txt: CC-BY-NC 4.0
>>  > * media/sound/game/soundsnap/info.txt: Non-commercial clause (
>>  > <https://www.soundsnap.com/licence>)
>>=20
>>  Are "non commercial" licenses still free licenses?
>>=20
>=20
> I'm pretty sure no, even for non-code. But I'd love to hear from=20
> someone
> else who's more sure than I am.
>=20
>=20
> --
> Efraim Flashner   <efraim@HIDDEN=20
> <mailto:efraim@HIDDEN>>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =D7=A4=
=D7=9C=D7=A9=D7=A0=D7=A8
> GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
> Confidentiality cannot be guaranteed on emails sent or received=20
> unencrypted

=

--=-/nJ5N6LYJIHpuMYHLWBO
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div id=3D"geary-body" dir=3D"auto"><div>Hi,</div><div><br></div><div><a hr=
ef=3D"https://www.gnu.org/philosophy/free-sw.html">https://www.gnu.org/phil=
osophy/free-sw.html</a></div><div><br></div><div>Here it says it has to be =
allowed for commercial use otherwise its not Free Software.</div><div><br><=
/div><div>Regards,</div><div>Marinus</div></div><div id=3D"geary-quote" dir=
=3D"auto"><br>On Mon, Jun 29, 2020 at 09:12, Efraim Flashner &lt;efraim@fla=
shner.co.il&gt; wrote:<br><blockquote type=3D"cite"><div class=3D"plaintext=
" style=3D"white-space: pre-wrap;">On Sun, Jun 28, 2020 at 10:04:31PM +0200=
, Pierre Neidhardt wrote:
<blockquote> Thanks for the investigation.
=20
 Kei &lt;<a href=3D"mailto:kkebreau@HIDDEN">kkebreau@HIDDEN</a>&gt;=
 writes:
=20
 &gt; On Sat, 2020-06-27 at 08:57 +0200, Pierre Neidhardt wrote:
 &gt; * media/model/mapmodel/dcp/blade_x/Readme.txt: "Cube-only, let me kno=
w
 &gt; otherwise" license
=20
 So, this means that it's non-free?
=20
 &gt; * media/sound/game/uphys/info.txt: CC-BY-NC 4.0
 &gt; * media/sound/game/soundsnap/info.txt: Non-commercial clause (
 &gt; <a href=3D"https://www.soundsnap.com/licence">https://www.soundsnap.c=
om/licence</a>)
=20
 Are "non commercial" licenses still free licenses?
=20
</blockquote>
I'm pretty sure no, even for non-code. But I'd love to hear from someone
else who's more sure than I am.


<div>--=20
</div>Efraim Flashner   &lt;<a href=3D"mailto:efraim@HIDDEN">efraim=
@flashner.co.il</a>&gt;   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =D7=A4=D7=9C=D7=A9=
=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted
</div></blockquote></div>=

--=-/nJ5N6LYJIHpuMYHLWBO--





Information forwarded to guix-patches@HIDDEN:
bug#41967; Package guix-patches. Full text available.

Message received at 41967 <at> debbugs.gnu.org:


Received: (at 41967) by debbugs.gnu.org; 29 Jun 2020 06:12:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 29 02:12:54 2020
Received: from localhost ([127.0.0.1]:47563 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpn2E-0002jn-B4
	for submit <at> debbugs.gnu.org; Mon, 29 Jun 2020 02:12:54 -0400
Received: from flashner.co.il ([178.62.234.194]:43452)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1jpn2C-0002jZ-OI
 for 41967 <at> debbugs.gnu.org; Mon, 29 Jun 2020 02:12:53 -0400
Received: from localhost (unknown [31.210.181.184])
 by flashner.co.il (Postfix) with ESMTPSA id 77B4D4000B;
 Mon, 29 Jun 2020 06:12:46 +0000 (UTC)
Date: Mon, 29 Jun 2020 09:12:13 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#41967] [PATCH] gnu: Add tesseract.
Message-ID: <20200629061213.GB14409@E5400>
References: <c2f72e233483a0c1a6d81d28fcdb7be393c991de.camel@HIDDEN>
 <87v9jdvvwh.fsf@HIDDEN>
 <a99941c7248c0958ce4e4c6268d7e0978085eefd.camel@HIDDEN>
 <87ftafez3k.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="bCsyhTFzCvuiizWE"
Content-Disposition: inline
In-Reply-To: <87ftafez3k.fsf@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 41967
Cc: Kei <kkebreau@HIDDEN>, 41967 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--bCsyhTFzCvuiizWE
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sun, Jun 28, 2020 at 10:04:31PM +0200, Pierre Neidhardt wrote:
> Thanks for the investigation.
>=20
> Kei <kkebreau@HIDDEN> writes:
>=20
> > On Sat, 2020-06-27 at 08:57 +0200, Pierre Neidhardt wrote:
> > * media/model/mapmodel/dcp/blade_x/Readme.txt: "Cube-only, let me know
> > otherwise" license
>=20
> So, this means that it's non-free?
>=20
> > * media/sound/game/uphys/info.txt: CC-BY-NC 4.0
> > * media/sound/game/soundsnap/info.txt: Non-commercial clause (
> > https://www.soundsnap.com/licence)
>=20
> Are "non commercial" licenses still free licenses?
>=20

I'm pretty sure no, even for non-code. But I'd love to hear from someone
else who's more sure than I am.


--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--bCsyhTFzCvuiizWE
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAl75hjkACgkQQarn3Mo9
g1Gpug//cq+gwrVCWHTxc4ANQLsB/EgC0zEN28M0xbvLXjZThjPodCtTrP7C0wcg
ztjzG9bxXMMIGxb/XbeuZYYlgCWjQU2aPeU+M8xVifOCqM9K3Yyb2Gg3yHHeZHww
1ZVT9EHSg+X9LIkin2i0KXBQ+3YGJPQTt7BnUiyiTiFAaiNs6qjZPp9tRx3JWtt1
ULPjFOm0NzCPPIT3HLjspq9MivqQPqVRzY1vNKBTDwahEcgjlZgrl470KR1i8KyJ
mHP02F0DxQwXbKwj+rg0SPMvsU6ZWPTOY7Nc7lB0JmsWRuiObVd41I5f7Rp52k/v
Gd/8p8CJKse09iLfCpmpxPM3eY7grKsrhpRim3i55Ysna1VG9K3H9PoiYgRiona8
Ndv9cDO2L7wfgH2yYxRadybSdmktUxRQ5Z7Mxf/gvmgT7iauXssRcDTysWvo7vwh
o3UwubXTG0AzHOVh6yNQrv0wIJUGqg+NQDNx3kkRHUcXcp+NDzh2h+4IrQ+bfgl+
NdGeBlJPjh4H/x9f+IfYT8goR7+0QWu2F6Dk9+O0ALEFCXt0C6rVkIVF2+xSAQZn
W9WCV/M8Kh7mBVnnzSnFZKcE7cKXwSq72LQTZpyUWBvWdqXantnvSckzjRdraixC
E6LOlHuV1Sf+sm6PUlPK68KvIDsYIBZ24IsE8BBuMqlW0FBePWo=
=Ctv0
-----END PGP SIGNATURE-----

--bCsyhTFzCvuiizWE--




Information forwarded to guix-patches@HIDDEN:
bug#41967; Package guix-patches. Full text available.

Message received at 41967 <at> debbugs.gnu.org:


Received: (at 41967) by debbugs.gnu.org; 28 Jun 2020 20:04:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 28 16:04:42 2020
Received: from localhost ([127.0.0.1]:46997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpdXd-0004h7-TZ
	for submit <at> debbugs.gnu.org; Sun, 28 Jun 2020 16:04:42 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:33275)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jpdXb-0004gq-1Z
 for 41967 <at> debbugs.gnu.org; Sun, 28 Jun 2020 16:04:40 -0400
X-Originating-IP: 92.169.129.147
Received: from bababa (lfbn-idf2-1-1315-147.w92-169.abo.wanadoo.fr
 [92.169.129.147]) (Authenticated sender: mail@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id 99C29C0007;
 Sun, 28 Jun 2020 20:04:32 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Kei <kkebreau@HIDDEN>, 41967 <at> debbugs.gnu.org
Subject: Re: [PATCH] gnu: Add tesseract.
In-Reply-To: <a99941c7248c0958ce4e4c6268d7e0978085eefd.camel@HIDDEN>
References: <c2f72e233483a0c1a6d81d28fcdb7be393c991de.camel@HIDDEN>
 <87v9jdvvwh.fsf@HIDDEN>
 <a99941c7248c0958ce4e4c6268d7e0978085eefd.camel@HIDDEN>
Date: Sun, 28 Jun 2020 22:04:31 +0200
Message-ID: <87ftafez3k.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Thanks for the investigation. Kei <kkebreau@HIDDEN>
 writes: > On Sat, 2020-06-27 at 08:57 +0200,
 Pierre Neidhardt wrote: > * media/model/mapmodel/dcp/blade_x/Readme.txt:
 "Cube-only, let me know > otherwise" license 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [217.70.183.198 listed in wl.mailspike.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.198 listed in list.dnswl.org]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 41967
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Thanks for the investigation. Kei <kkebreau@HIDDEN> writes:
    > On Sat, 2020-06-27 at 08:57 +0200, Pierre Neidhardt wrote: > * media/model/mapmodel/dcp/blade_x/Readme.txt:
    "Cube-only, let me know > otherwise" license 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [217.70.183.198 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.198 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Thanks for the investigation.

Kei <kkebreau@HIDDEN> writes:

> On Sat, 2020-06-27 at 08:57 +0200, Pierre Neidhardt wrote:
> * media/model/mapmodel/dcp/blade_x/Readme.txt: "Cube-only, let me know
> otherwise" license

So, this means that it's non-free?

> * media/sound/game/uphys/info.txt: CC-BY-NC 4.0
> * media/sound/game/soundsnap/info.txt: Non-commercial clause (
> https://www.soundsnap.com/licence)

Are "non commercial" licenses still free licenses?

Cheers!

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl74988ACgkQm9z0l6S7
zH+K4Qf/batjn2+x0rNVAJVzgRw4oCdLkfanF5nz1plLujWw9Ec2t9vFFqgiSbAN
4LwPgYwCRj2WbCsfLgSZA4S9G7whqsbbUWJoeAYhzXGCSETnwgS/mbo5n7NQicww
RAd6Dv77wUiZe5g7U9oDhbwSoC7q21d1jX1DjUEdZMAxeSTatQSK3e299Kto1p1r
X2fb75RyNwvjN5++pxVlxxOuJzY8PH9/XX2IZ3FXN/6rxwO+VJnxNACGJUccWpfv
w0DmNz7FkrXYC68P4kfz2fiS6jNqbgOpmjVR8JPgb0Pf0oyMwQl1ds5lTqtVtDIN
uNoj7//anEgDiM1v7eDMO9eX/BUSOw==
=546L
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#41967; Package guix-patches. Full text available.

Message received at 41967 <at> debbugs.gnu.org:


Received: (at 41967) by debbugs.gnu.org; 28 Jun 2020 15:26:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 28 11:26:38 2020
Received: from localhost ([127.0.0.1]:46785 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpZCX-0003ox-PL
	for submit <at> debbugs.gnu.org; Sun, 28 Jun 2020 11:26:38 -0400
Received: from mout01.posteo.de ([185.67.36.65]:44626)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kkebreau@HIDDEN>) id 1jpZCS-0003oh-W7
 for 41967 <at> debbugs.gnu.org; Sun, 28 Jun 2020 11:26:36 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 68E90160061
 for <41967 <at> debbugs.gnu.org>; Sun, 28 Jun 2020 17:26:26 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1593357986; bh=2dXLcsBnl2pJYaeKsnY6fM2WGHgenCVDIbqbW2zJ2qA=;
 h=Subject:From:To:Date:From;
 b=eurav8t/7m/wqaD28zjV7eAtGTR1TlGNpGEfesJszfIsd+GqqrzdBf+YOnhM/auIB
 HyvdKe47H7i9cgoAoC31edSb7GhluPUAlbeyVT+3yyv5ZoPabhr5fjyroQgwZPDJIa
 CfWyO32vaiGyqlE+td4GLX+Hyl34RiUL6GmU4rdE9hdY0gs9aerlTo61Q8lkF7hVu2
 LoHiHqR710QVTaZ1GiVPSefLGZwULvrzGZzJrNALFUZNIHkVi56Amcyy4+SCO6v9bg
 AJEUbkFuYN6TMl8SJaqo+LJmJZNw3751nzk6IIJd7//y6IMNCJW5tOmTFkmalWoDCu
 IfqN94yIl8VIQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 49vvbj12t1z6tmg;
 Sun, 28 Jun 2020 17:26:24 +0200 (CEST)
Message-ID: <a99941c7248c0958ce4e4c6268d7e0978085eefd.camel@HIDDEN>
Subject: Re: [PATCH] gnu: Add tesseract.
From: Kei <kkebreau@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>, 41967 <at> debbugs.gnu.org
Date: Sun, 28 Jun 2020 11:26:23 -0400
In-Reply-To: <87v9jdvvwh.fsf@HIDDEN>
References: <c2f72e233483a0c1a6d81d28fcdb7be393c991de.camel@HIDDEN>
 <87v9jdvvwh.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41967
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Sat, 2020-06-27 at 08:57 +0200, Pierre Neidhardt wrote:
> Indeed.
> 
> The question is: does Tesseract reuse any of the media from
> Sauerbraten?
> 

It doesn't seem like it, though I did come across some useful licensing
info for some of Tesseract's assets:

* media/sky/0ptikz/info.txt: Non-commerical clause
* media/model/mapmodel/dcp/blade_x/Readme.txt: "Cube-only, let me know
otherwise" license
* media/model/mapmodel/nobiax/info.txt: No license, but suspected CC0
1.0 (evidence: https://github.com/red-eclipse/nobiax)
* media/sound/mapsound/soundtransit/info.txt: CC-BY 2.0 according to 
http://web.archive.org/web/20160421054815/http://archive.turbulence.org/soundtransit/search/
* media/sound/mapsound/freesound.org/info.txt:
** alaskarobotics_ambient-spacecraft-hum.ogg: CC0 1.0 (
https://freesound.org/people/AlaskaRobotics/sounds/221570/)
** cascading-water.ogg: CC0 1.0 (
https://freesound.org/people/KingBowser/sounds/253623/)
** cool_compressor_1.ogg: ?
** floresent-light_1.ogg: possibly CC0 1.0? (
https://freesound.org/people/rpew1/sounds/108476/)
** rain.ogg: ?
* media/sound/game/uphys/info.txt: CC-BY-NC 4.0
* media/sound/game/soundsnap/info.txt: Non-commercial clause (
https://www.soundsnap.com/licence)
* media/interface/crosshair/info.txt: Assume full copyright?
* media/texture/philipk2/info.txt: "Do-whatever" license
* media/texture/thesilentnight/info.txt: "Do-whatever-with-attribution" 
license

Also, it turns out that according to "src/readme_tesseract.txt", the
".cfg" files in the "data" directory are covered by the same license as
the code in "src".





Information forwarded to guix-patches@HIDDEN:
bug#41967; Package guix-patches. Full text available.

Message received at 41967 <at> debbugs.gnu.org:


Received: (at 41967) by debbugs.gnu.org; 27 Jun 2020 06:57:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 27 02:57:18 2020
Received: from localhost ([127.0.0.1]:43419 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jp4m3-00058J-7k
	for submit <at> debbugs.gnu.org; Sat, 27 Jun 2020 02:57:18 -0400
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:37631)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jp4ly-000582-7R
 for 41967 <at> debbugs.gnu.org; Sat, 27 Jun 2020 02:57:13 -0400
X-Originating-IP: 92.169.129.147
Received: from mimimi (lfbn-idf2-1-1315-147.w92-169.abo.wanadoo.fr
 [92.169.129.147]) (Authenticated sender: mail@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id 4DEF420002;
 Sat, 27 Jun 2020 06:57:02 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Kei <kkebreau@HIDDEN>, 41967 <at> debbugs.gnu.org
Subject: Re: [PATCH] gnu: Add tesseract.
In-Reply-To: <c2f72e233483a0c1a6d81d28fcdb7be393c991de.camel@HIDDEN>
References: <c2f72e233483a0c1a6d81d28fcdb7be393c991de.camel@HIDDEN>
Date: Sat, 27 Jun 2020 08:57:02 +0200
Message-ID: <87v9jdvvwh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Indeed. The question is: does Tesseract reuse any of the
 media
 from Sauerbraten? -- Pierre Neidhardt https://ambrevar.xyz/ 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.200 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [217.70.183.200 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 41967
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Indeed. The question is: does Tesseract reuse any of the media
    from Sauerbraten? -- Pierre Neidhardt https://ambrevar.xyz/ 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [217.70.183.200 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.200 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 T_SPF_TEMPERROR        SPF: test of record failed (temperror)
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Indeed.

The question is: does Tesseract reuse any of the media from Sauerbraten?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl727b4ACgkQm9z0l6S7
zH+gtAf+K3ZKrwiRGb0qGerdg1vcC1E74i5spQhalS67PGClIsi4Fn4eM/CkTav5
Q2vdrD5JR6zuRfVIqsuX668JMZAoAa7VwDAossOGTWtoauvrtZmkxjFEAzT2rZf6
SIxeb3O/3XkwnZfvKIjp7FlSsVbikHwnhfwUTsGUPJ1WOlA2BxBC590oidotoPEQ
4nv5zmAO8E95NVsPM/Id5vFltFvI5S2Nx+Rcp8iWkioaNSMltWnSYsBc87RcLv/E
+BbURAbhJJrJNc6AHpFZl/xws6m8ibkxVnIwi+10sHHDOgC6EKxIsGpzlwQX4EZB
iMLzbQHt4jY/5mW337zzbqWTmiStlg==
=v+BB
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#41967; Package guix-patches. Full text available.

Message received at 41967 <at> debbugs.gnu.org:


Received: (at 41967) by debbugs.gnu.org; 26 Jun 2020 23:04:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 26 19:04:59 2020
Received: from localhost ([127.0.0.1]:43316 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1joxP1-0001K5-BA
	for submit <at> debbugs.gnu.org; Fri, 26 Jun 2020 19:04:59 -0400
Received: from mout01.posteo.de ([185.67.36.65]:39009)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kkebreau@HIDDEN>) id 1joxOv-0001Ji-QN
 for 41967 <at> debbugs.gnu.org; Fri, 26 Jun 2020 19:04:57 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 36F78160060
 for <41967 <at> debbugs.gnu.org>; Sat, 27 Jun 2020 01:04:47 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1593212687; bh=Vas0QjAiZLrDSWbLdi/FWVcanosZD2pRF9UrlKXfc4Y=;
 h=Subject:From:To:Cc:Date:From;
 b=J+ViperXZHlrWTRFPUMSoks8xmvfmrTUSiesA22bYJp+ExyiIP+q8srBB9Mlk3Bqs
 BGrHuZNG+JetsDjGCcvDs21B+oUGWM7i/lmu/FnVL3GOOHbmTFpkU/d9V4JBMkK7Im
 kJNhpPTHjDIfIP2N0vmBG/xR0QX+N/oALQGE+sFICQKQBIMdvB/R3SehLPfaSulTtN
 xzUOhQ+njjR+TTUPh8nIby0lrXNgtu2wfeSkh1MflUZOz/JECvEbW6X/meVt9miBq4
 uAoff6Ll2eX9XMReEuCy6eqiWrbhIaPehTMMuVcw+1GLZf6L1C33cjTr1yyCrQFW0i
 uUPfFICe6EjBQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 49tssV0KkFz9rxM;
 Sat, 27 Jun 2020 01:04:45 +0200 (CEST)
Message-ID: <c2f72e233483a0c1a6d81d28fcdb7be393c991de.camel@HIDDEN>
Subject: [PATCH] gnu: Add tesseract.
From: Kei <kkebreau@HIDDEN>
To: 41967 <at> debbugs.gnu.org
Date: Fri, 26 Jun 2020 19:04:44 -0400
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41967
Cc: mail@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi, Pierre!

The game builds and runs fine on my machine. However, I'm not sure
about the media licenses either. The ".cfg" files in the media
directory look like scripts that the engine runs and seem to be
unlicensed, kind of like the ones from Cube 2: Sauerbraten [0].
For what it's worth, Sauerbraten is currently categorized as non-free
in Debian [1] on account of some of its media files.

[0]: https://sourceforge.net/p/sauerbraten/code/HEAD/tree/data/
[1]: https://packages.debian.org/buster/sauerbraten





Information forwarded to guix-patches@HIDDEN:
bug#41967; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Jun 2020 18:07:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 20 14:07:20 2020
Received: from localhost ([127.0.0.1]:58711 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jmhtf-0008T4-SY
	for submit <at> debbugs.gnu.org; Sat, 20 Jun 2020 14:07:20 -0400
Received: from lists.gnu.org ([209.51.188.17]:56570)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jmhtc-0008St-J3
 for submit <at> debbugs.gnu.org; Sat, 20 Jun 2020 14:07:18 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57792)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1jmhtc-0000nx-EZ
 for guix-patches@HIDDEN; Sat, 20 Jun 2020 14:07:16 -0400
Received: from relay11.mail.gandi.net ([217.70.178.231]:37289)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1jmhtZ-0001yD-Lw
 for guix-patches@HIDDEN; Sat, 20 Jun 2020 14:07:16 -0400
Received: from bababa (lfbn-idf2-1-1315-147.w92-169.abo.wanadoo.fr
 [92.169.129.147]) (Authenticated sender: mail@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id 19588100004
 for <guix-patches@HIDDEN>; Sat, 20 Jun 2020 18:07:09 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add tesseract.
Date: Sat, 20 Jun 2020 20:07:08 +0200
Message-ID: <87r1u9392r.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=217.70.178.231; envelope-from=mail@HIDDEN;
 helo=relay11.mail.gandi.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/06/20 14:07:10
X-ACL-Warn: Detected OS   = Linux 3.11 and newer
X-Spam_score_int: 4
X-Spam_score: 0.4
X-Spam_bar: /
X-Spam_report: (0.4 / 5.0 requ) BAYES_00=-1.9, FROM_SUSPICIOUS_NTLD=1,
 FROM_SUSPICIOUS_NTLD_FP=1, PDS_OTHER_BAD_TLD=1, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H4=-0.01, RCVD_IN_MSPIKE_WL=-0.01, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: The code is free software (zlib) for sure. I'm not sure about
 the media files license. -- Pierre Neidhardt https://ambrevar.xyz/ From
 e88230cc776517b9ab84fe159d96799041fd8107
 Mon Sep 17 00:00:00 2001 From: Pierre Neidhardt <mail@HIDDEN> Date:
 Sat, 20 Jun 2020 19:26:48 +0200 Subject: [PATCH] gnu: Add tesseract. 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [209.51.188.17 listed in wl.mailspike.net]
 2.0 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

--=-=-=
Content-Type: multipart/signed; boundary="==-=-=";
	micalg=pgp-sha256; protocol="application/pgp-signature"

--==-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

The code is free software (zlib) for sure.
I'm not sure about the media files license.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl7uUEwACgkQm9z0l6S7
zH/Whgf/bK+SDF+bRixYgYhZX7wbvKAMSou96OgrKSCM1Sdr/mkKyI2zTvPnFa0m
tcNevf5ZvRftMKpcEZnENtJVlwbnnktFPKflZqcDUnm5ufXRBjQ5ePtCn4wTjT6/
Rgv4//tO25kXdO1DK3ljxwrC2BhRf5stnRDh62he/6bOGj98wGQnQgBhSvAOe1Uq
+VbXqLp+sUdyRPnmVoLW81qQGRMRWYJvHz9TR4a7+cTjSxKRNBdYffoJPdkDU4B/
bTYMNIoE6SehbBdHBInnAx7LTiGTmS0kjLIpU2U3u7GVamqfOBZ9ibULhgz1i8M5
+rBaWlHuMOrHiUP6bkVL+ddPN8mIcQ==
=SwTD
-----END PGP SIGNATURE-----
--==-=-=--

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0001-gnu-Add-tesseract.patch

From e88230cc776517b9ab84fe159d96799041fd8107 Mon Sep 17 00:00:00 2001
From: Pierre Neidhardt <mail@HIDDEN>
Date: Sat, 20 Jun 2020 19:26:48 +0200
Subject: [PATCH] gnu: Add tesseract.

* gnu/packages/games.scm (tesseract): New variable.
---
 gnu/packages/games.scm | 99 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 99 insertions(+)

diff --git a/gnu/packages/games.scm b/gnu/packages/games.scm
index 39669ba1c9..7633e209c1 100644
--- a/gnu/packages/games.scm
+++ b/gnu/packages/games.scm
@@ -10817,3 +10817,102 @@ and shovers to get to the goal.  Race against the clock to collect coins to
 earn extra balls.  Also included is Neverputt, which is a 3D miniature golf
 game.")  ;thanks to Debian for description
       (license license:gpl2+))))
+
+(define-public tesseract
+  (let ((svn-revision 2411))
+    (package
+      (name "tesseract")
+      (version (number->string svn-revision))
+      (source
+       (origin
+         (method svn-fetch)
+         (uri (svn-reference
+               (url "svn://svn.tuxfamily.org/svnroot/tesseract/main")
+               (revision svn-revision)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1av9jhl2ivbl7wfszyhyna84llvh1z2d8khkmadm8d105addj10q"))
+         (modules '((guix build utils)))
+         (snippet
+          '(begin
+             (for-each delete-file-recursively
+                       '("bin" "bin64"
+                         "server.bat"
+                         "tesseract.bat"
+                         "src/lib"
+                         "src/lib64"))
+             #t))))
+      (build-system gnu-build-system)
+      (arguments
+       `(#:make-flags (list "CC=gcc")
+         #:tests? #f                    ; No tests.
+         #:phases
+         (modify-phases %standard-phases
+           (delete 'configure)
+           (add-after 'unpack 'cd-src
+             (lambda _ (chdir "src") #t))
+           (add-before 'build 'fix-env
+             (lambda* (#:key inputs #:allow-other-keys)
+               (setenv "CPATH"
+                       (string-append (assoc-ref inputs "sdl2-union")
+                                      "/include/SDL2:"
+                                      (or (getenv "CPATH") "")))
+               #t))
+           (add-after 'install 'really-install
+             (lambda* (#:key outputs #:allow-other-keys)
+               (let* ((out (assoc-ref outputs "out"))
+                      (share (string-append out "/share/tesseract"))
+                      (bin (string-append out "/bin/tesseract"))
+                      (client (string-append out "/bin/tesseract-client")))
+                 (chdir "..")           ; Back to root.
+                 (for-each
+                  (lambda (dir)
+                    (mkdir-p (string-append share "/" dir))
+                    (copy-recursively dir (string-append share "/" dir)))
+                  '("config" "media"))
+                 (mkdir-p (string-append out "/bin/"))
+                 (copy-file "bin_unix/native_client" client)
+                 (copy-file "bin_unix/native_server"
+                            (string-append out "/bin/tesseract-server"))
+                 (call-with-output-file bin
+                   (lambda (p)
+                     (format p "#!~a
+TESS_DATA=~a
+TESS_BIN=~a
+TESS_OPTIONS=\"-u$HOME/.tesseract\"
+cd \"$TESS_DATA\"
+exec \"$TESS_BIN\" \"$TESS_OPTIONS\" \"$@\""
+                             (which "bash")
+                             share
+                             client)))
+                 (chmod bin #o755)
+                 (install-file "src/readme_tesseract.txt"
+                               (string-append out "/share/licenses/tesseract/LICENSE"))
+                 (let ((icon (string-append out "/share/pixmaps/tesseract.png")))
+                   (mkdir-p (dirname icon))
+                   (copy-file "media/interface/cube.png" icon)
+                   (make-desktop-entry-file
+                    (string-append out "/share/applications/tesseract.desktop")
+                    #:name "Tesseract"
+                    #:comment "First-person shooter with map editing"
+                    #:exec "tesseract"
+                    #:icon icon
+                    #:categories '("Game"))))
+               #t)))))
+      (inputs
+       `(("sdl2-union" ,(sdl-union (list sdl2 sdl2-mixer sdl2-image)))
+         ("zlib" ,zlib)
+         ("libpng" ,libpng)
+         ("libgl" ,mesa)))
+      (home-page "http://tesseract.gg/")
+      (synopsis "First-person shooter with map editing, instagib, DM and CTF")
+      (description "Tesseract is a first-person shooter game focused on
+instagib deathmatch and capture-the-flag gameplay as well as cooperative
+in-game map editing.
+
+Tesseract provides a free software engine derived from @emph{Cube 2:
+Sauerbraten} technology but with upgraded modern rendering techniques.  The
+new rendering features include fully dynamic omnidirectional shadows, global
+illumination, HDR lighting, deferred shading, morphological / temporal /
+multisample anti-aliasing, and much more.")
+      (license license:zlib))))
-- 
2.26.2


--=-=-=--




Acknowledgement sent to Pierre Neidhardt <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#41967; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 30 Jun 2020 14:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.